## swap swap |

## Functions

void | glibtop_get_swap ()
void | glibtop_get_swap_l ()
void | glibtop_get_swap_p ()
void | glibtop_get_swap_s ()

## Types and Values

#define | GLIBTOP_SWAP_TOTAL
#define | GLIBTOP_SWAP_USED
#define | GLIBTOP_SWAP_FREE
#define | GLIBTOP_SWAP_PAGEIN
#define | GLIBTOP_SWAP_PAGEOUT
#define | GLIBTOP_MAX_SWAP
struct | glibtop_swap
#define | glibtop_get_swap_r

## Includes

    #include <glibtop/swap.h>

## Description

## Functions

### glibtop_get_swap ()

    void
    glibtop_get_swap (glibtop_swap *buf);

Get the swap usage.

#### Parameters

buf | A location to return a glibtop_swap. |

### glibtop_get_swap_l ()

    void
    glibtop_get_swap_l (glibtop *server,
                        glibtop_swap *buf);

### glibtop_get_swap_p ()

    void
    glibtop_get_swap_p (glibtop *server,
                        glibtop_swap *buf);

### glibtop_get_swap_s ()

    void
    glibtop_get_swap_s (glibtop *server,
                        glibtop_swap *buf);

## Types and Values

### GLIBTOP_SWAP_TOTAL

    #define GLIBTOP_SWAP_TOTAL 0

### GLIBTOP_SWAP_USED

    #define GLIBTOP_SWAP_USED 1

### GLIBTOP_SWAP_FREE

    #define GLIBTOP_SWAP_FREE 2

### GLIBTOP_SWAP_PAGEIN

    #define GLIBTOP_SWAP_PAGEIN 3

### GLIBTOP_SWAP_PAGEOUT

    #define GLIBTOP_SWAP_PAGEOUT 4

### GLIBTOP_MAX_SWAP

    #define GLIBTOP_MAX_SWAP 5

### struct glibtop_swap

    struct glibtop_swap {
    	guint64 flags;
    	guint64 total;		/* GLIBTOP_SWAP_TOTAL */
    	guint64 used;		/* GLIBTOP_SWAP_USED */
    	guint64 free;		/* GLIBTOP_SWAP_FREE */
    	guint64 pagein;		/* GLIBTOP_SWAP_PAGEIN */
    	guint64 pageout; /* GLIBTOP_SWAP_PAGEOUT */
    };

### glibtop_get_swap_r

    #define glibtop_get_swap_r		glibtop_get_swap_p